<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div style='text-align:center;'>
Treść witryny
</div>
<div><p style='text-align:center;'>
<?php
function getCounter(&$count, &$data)
{
  if(!file_exists("./licznik.txt")){
    //brak pliku licznika
    return false;
  }
  if(!$fd = fopen("./licznik.txt", "r+")){
    //brak dostępu do liku licznika
    return false;
  }
  flock($fd, LOCK_EX);
  $count = trim(fgets($fd));
  if(is_numeric($count)){
    $count = $count + 1;
    $data = fgets($fd);
    fseek($fd, 0);
    fputs($fd, $count."\n");
    fputs($fd, $data);
    $result = true;
  }
  else{
    //nieprawidłowy format odczytanych danych
    $result = false;
  }
  
  flock($fd, LOCK_UN);
  fclose($fd);
  return $result;
}
if(getCounter($count, $data) !== false){
  echo("Ta strona została odwiedzona $count razy od $data roku.");
}
else{
  echo("Licznik odwołań jest czasowo niedostępny.");
}
?>
</p></div>
</body>
</html>
